#!/bin/bash
# This script fix the lightdm.conf to solve the 
# autologin problem. This situation can be less braindamaged
# but Ubuntu not works fine with custom derivatives...lightdm
# is now a One-and-enormous-configuration-file.
#
# This script is licensed under GPL v3 or higher
# 
# Author: 	Angel Berlanas Vicente 
#			<angel.berlanas@gmail.com>

# Some values
LIGHTDM_DM="/etc/lightdm/lightdm.conf"
GNOME_DM="/etc/lightdm/gnome-fallback.conf"
XFCE4_DM="/etc/lightdm/xfce.conf"

# The mother of the lamb

if [ -f "$XFCE4_DM" ] ; then 
	cat "$XFCE4_DM" > "$LIGHTDM_DM"
	echo "XFCE4 at Lightdm" >> /tmp/lightdm-cat.log
	exit 0
fi

if [ -f "$GNOME_DM" ] ; then
	cat "$GNOME_DM" > "$LIGHTDM_DM"
	echo "GNOME at Lightdm" >> /tmp/lightdm-cat.log
	exit 0
fi

# The second omnibus
LIGHTDM_DM="chroot/$LIGHTDM_DM"
GNOME_DM="chroot/$GNOME_DM"
XFCE4_DM="chroot/$XFCE4_DM"

# The OTHER mother of the lamb

if [ -f $XFCE4_DM ] ; then 
	cat $XFCE4_DM > $LIGHTDM_DM
	echo "XFCE4 chroot at Lightdm" >> /tmp/lightdm-cat.log
	exit 0
fi

if [ -f $GNOME_DM ] ; then
	cat $GNOME_DM > $LIGHTDM_DM
	echo "GNOME chroot at Lightdm" >> /tmp/lightdm-cat.log
	exit 0
fi
